import { world, system } from "@minecraft/server"

system.runInterval(() => {
    let player = world.getAllPlayers()
    let dimenion = world.getDimension('overworld')
    

    for (const p of player) {
    let inv = p?.getComponent("inventory").container
    let item = inv?.getItem(p.selectedSlotIndex);
    if(item?.typeId == "um:destroy_wand") {
        let block = p?.getBlockFromViewDirection({ maxDistance: 15 })?.block
        let pos = block?.location
        
        if (block) {
       
        
        
            let blockId = block.typeId
            
            p.runCommand(`title @s actionbar ${title(blockId)} \n X: [${pos.x}] Y: [${pos.y}] Z:[${pos.z}]`)
        }
        }
    }
})


function title(str) {

    return `${str.split(':')[1].charAt(0).toUpperCase() + str.split(':')[1].slice(1).replace("_", " ")}`
}